window.__require = function t(e, o, r) {
function n(i, u) {
if (!o[i]) {
if (!e[i]) {
var l = i.split("/");
l = l[l.length - 1];
if (!e[l]) {
var p = "function" == typeof __require && __require;
if (!u && p) return p(l, !0);
if (c) return c(l, !0);
throw new Error("Cannot find module '" + i + "'");
}
i = l;
}
var f = o[i] = {
exports: {}
};
e[i][0].call(f.exports, function(t) {
return n(e[i][1][t] || t);
}, f, f.exports, t, e, o, r);
}
return o[i].exports;
}
for (var c = "function" == typeof __require && __require, i = 0; i < r.length; i++) n(r[i]);
return n;
}({
Sample: [ function(t, e, o) {
"use strict";
cc._RF.push(e, "1375fOt6N1GhrIDUcjD4j52", "Sample");
var r, n = this && this.__extends || (r = function(t, e) {
return (r = Object.setPrototypeOf || {
__proto__: []
} instanceof Array && function(t, e) {
t.__proto__ = e;
} || function(t, e) {
for (var o in e) Object.prototype.hasOwnProperty.call(e, o) && (t[o] = e[o]);
})(t, e);
}, function(t, e) {
r(t, e);
function o() {
this.constructor = t;
}
t.prototype = null === e ? Object.create(e) : (o.prototype = e.prototype, new o());
}), c = this && this.__decorate || function(t, e, o, r) {
var n, c = arguments.length, i = c < 3 ? e : null === r ? r = Object.getOwnPropertyDescriptor(e, o) : r;
if ("object" == typeof Reflect && "function" == typeof Reflect.decorate) i = Reflect.decorate(t, e, o, r); else for (var u = t.length - 1; u >= 0; u--) (n = t[u]) && (i = (c < 3 ? n(i) : c > 3 ? n(e, o, i) : n(e, o)) || i);
return c > 3 && i && Object.defineProperty(e, o, i), i;
};
Object.defineProperty(o, "__esModule", {
value: !0
});
var i = cc._decorator, u = i.ccclass, l = i.property, p = function(t) {
n(e, t);
function e() {
var e = null !== t && t.apply(this, arguments) || this;
e.label = null;
e.testNode = null;
return e;
}
e.prototype.onLoad = function() {
var t = this;
cc.log("test");
this.testNode.on(cc.Node.EventType.TOUCH_START, function() {
t.label.string = "touch start";
}, this);
this.testNode.on(cc.Node.EventType.TOUCH_CANCEL, function() {
t.label.string = "touch cancel";
}, this);
this.testNode.on(cc.Node.EventType.TOUCH_END, function() {
t.label.string = "touch end";
}, this);
};
c([ l(cc.Label) ], e.prototype, "label", void 0);
c([ l(cc.Node) ], e.prototype, "testNode", void 0);
return c([ u ], e);
}(cc.Component);
o.default = p;
cc._RF.pop();
}, {} ]
}, {}, [ "Sample" ]);